jQuery(document).ready(function($){
	var form = $("#upload_bulk_staff_form");
	$(form).find('.alert').css('display', 'none');
	$('#preloader').css('display', 'none');

	$(form).submit(function(e) {
		e.preventDefault();
		$(form).find('.alert').css('display', '');
		$(form).find('.alert').removeClass("red");
		$(form).find('.alert').removeClass("green");
		$(form).find('.alert').html('Uploading...');
		var formData = new FormData(form[0]);
		$.ajax({
		    type: 'POST',
		    url: 'contents/plugins/excel_result_compilation/ajax.php',
		    data: formData,
    		processData: false,
    		contentType: false,
		    success: function(data) {
		    	// console.log(data);
		    	data = JSON.parse(data);
		    	// console.log(data);
		    	$("#preloader").css('display', 'none');
		    	if(data.error == 1) {
		    		$(form).find('.alert').css('display', '');
					$(form).find('.alert').removeClass("green");
					$(form).find('.alert').addClass("red");
					$(form).find('.alert').html(data.msg);
		    	} else if(data.error == 0) {
		    		$(form).find('.alert').css('display', '');
		    		$(form).find('.alert').removeClass("red");
					$(form).find('.alert').addClass("green");
					$(form).find('.alert').html(data.msg);
		    	}						
		    }
		});
	});

	$("#uploadBulkStaffTemplateBtn").click(function(e) {
		e.preventDefault();
		$("#bulk-staff-upload-file").click();
	})

	$("#bulk-staff-upload-file").change(function(){
		$(form).submit();
	});
})